Update group
curl --request POST \
--url https://gengen.farm/api/gengen/v1/assets/groups/update \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"Id": "group-20260424-abc",
"Name": "Updated launch assets",
"Description": "Approved reusable launch materials"
}'import requests
url = "https://gengen.farm/api/gengen/v1/assets/groups/update"
payload = {
"Id": "group-20260424-abc",
"Name": "Updated launch assets",
"Description": "Approved reusable launch materials"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Id: 'group-20260424-abc',
Name: 'Updated launch assets',
Description: 'Approved reusable launch materials'
})
};
fetch('https://gengen.farm/api/gengen/v1/assets/groups/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ResponseMetadata": {
"RequestId": "20260328000000000000000000000000",
"Action": "UpdateAssetGroup",
"Version": "2024-01-01",
"Service": "ark",
"Region": "ap-southeast-1"
},
"Result": {
"Id": "group-20260424-abc"
}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Assets API
Update an asset group
Update the name or description of an asset group owned by the current workspace.
POST
/
assets
/
groups
/
update
Update group
curl --request POST \
--url https://gengen.farm/api/gengen/v1/assets/groups/update \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"Id": "group-20260424-abc",
"Name": "Updated launch assets",
"Description": "Approved reusable launch materials"
}'import requests
url = "https://gengen.farm/api/gengen/v1/assets/groups/update"
payload = {
"Id": "group-20260424-abc",
"Name": "Updated launch assets",
"Description": "Approved reusable launch materials"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Id: 'group-20260424-abc',
Name: 'Updated launch assets',
Description: 'Approved reusable launch materials'
})
};
fetch('https://gengen.farm/api/gengen/v1/assets/groups/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ResponseMetadata": {
"RequestId": "20260328000000000000000000000000",
"Action": "UpdateAssetGroup",
"Version": "2024-01-01",
"Service": "ark",
"Region": "ap-southeast-1"
},
"Result": {
"Id": "group-20260424-abc"
}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Authorizations
A workspace API key beginning with gengen_live_.
Body
application/json
⌘I